#pragma once

#include "Cres.h"
#include "datatable/AggreGateBean.h"
#include <string>

class EventEnrichmentRule : public AggreGateBean
{
 private:
    static TableFormatPtr FORMAT_;
    AgString name;
    AgString expression;
    ExpressionPtr enrichmentExpression;

public:
    static TableFormatPtr FORMAT();
    AgString getName();
    void setName(const AgString & name);
    AgString getExpression();
    void setExpression(const AgString & expression);
    ExpressionPtr getEnrichmentExpression();

    EventEnrichmentRule();
    EventEnrichmentRule(DataRecordPtr data);

};
